Invalid Hook Handle error

Add-in Express™ Support Service
That's what is more important than anything else

Invalid Hook Handle error
On first install, we get an error message from ADX Loader which says "Invalid hook handle." 
Ben Thompson




Posts: 3
Joined: 2009-12-21
We built a plugin using the Add-in Express 2009 for Internet Explorer. The plugin consists of a toolbar and a couple of sidebars.
If we install the plugin on a completely clean machine (we're using virtual machines for testing) that has never had the plugin before, the install progresses without a problem, but when we open IE for the first time we get an error message from the ADX Loader which says "Invalid hook handle." The plugin is then inoperable until the browser is restarted. Once restarted, there is no more error and everything seems to work fine.

* This only seems to happen when you install the plugin on a machine that's never had an ADX plugin installed before
* The invalid hook handle error only happens on the first time the browser is opened after the first install.
* If IE is left open during the install process, this does not seem to happen.


Any suggestions?
Posted 21 Dec, 2009 11:38:15 Top
Sergey Grischenko


Add-in Express team


Posts: 7202
Joined: 2004-07-05
Hi Ben.

What exactly version of Add-in Express for IE do you use? Also please look a the version of the adxloader.dll file located in the Loader subfolder of your project.
Posted 22 Dec, 2009 10:33:47 Top
Ben Thompson




Posts: 3
Joined: 2009-12-21
The adxloader.dll's file version is 5.0.2020.0
The installer for the version of the addin-express toolkit I am using is labeled "adxienet-v500-b251-vs-std.msi"
Posted 22 Dec, 2009 15:48:22 Top
Sergey Grischenko


Add-in Express team


Posts: 7202
Joined: 2004-07-05
Hi Ben.

Please download and install Add-in Express 5.2.261. http://www.add-in-express.com/downloads/adxnet-ie.php
Let me know if the issue still exists.
Posted 23 Dec, 2009 08:52:21 Top